Subject: Re: bug#24813: Du Maximum files?

From: Assaf Gordon <[email-masked]>
Date: Sun, 28 Oct 2018 01:11:45 -0600

tags 24813 moreinfo
close 24813
stop

(triaging old bugs)

On 2016-10-28 1:27 a.m., Erik Auerswald wrote:
> On Fri, Oct 28, 2016 at 05:56:07AM +0000, Benny D. Miller Jr. wrote:
>>   I am not so sure that this is a bug but a limitation. I am using
>> "du" for a disk file listing/usage in the command:
>>
>> du --all --time --human-readable --apparent-size $1;
> 
> You did not specify any problems with the above line pertaining to "du".
> 
>> printf "Total number of files: ";  find $1 -type f | wc -l;
> 
> The above line does not relate to "du", but to "find" and "wc".
> 
>> But it seems to maximum out the file count to 38341
>>
>>   So I am thinking that this is a limitation to the counter in "wc"?
> 
> I don't think so. You can easily check wc's counter by generating known
> input, e.g. as follows:
> 
> $ yes | head -n80000 | wc -l
> 80000
> $ yes | head -n2678400 | wc -l
> 2678400
> 
[....]
> I do not see the limit you observed.

With no follow-ups in 2 years, I'm closing this bug.
Discussion can continue by replying to this thread.

-assaf